/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
*,
::after,
::before {
  box-sizing: border-box;
}
label {
  cursor: pointer;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
body {
  font-family: Arial, Helvetica, sans-serif;
  margin: 0;
  padding: 0;
  /* display: flex;
  justify-content: center;
  align-items: center; */
  min-height: 100vh;
  background: #fff;
  width: 100%;
  /* max-width: 1200px; */
  font-size: 16px;
  padding-bottom: 40px;
}
input,
textarea,
select {
  font-size: 16px;
  touch-action: manipulation;
}
.modal {
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* background: rgba(0, 0, 0, 0.3); */
  justify-content: center;
  align-items: center;
  overflow-y: auto; /* Cho phép cuộn nếu nội dung vượt quá chiều cao */
  background: rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(8px) saturate(120%);
}
.modal-bgGradient {
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-size: 400% 400%;
  animation: bgGradient 35s ease infinite;
}
.modal-content {
  background: #fff;
  padding: 24px;
  border-radius: 16px; /* bo góc mềm hơn */
  max-width: 600px;
  width: 90%;
  max-height: 90vh;
  box-sizing: border-box;
  position: relative;

  /* đổ bóng hiện đại */
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.15), 0 4px 12px rgba(0, 0, 0, 0.1);

  margin: 0 auto;
  overflow-y: auto;
}

.modal-content img {
  height: 100%;
  max-height: 300px;
  width: auto;
  max-width: 100%;
}

.hidden {
  display: none;
}

.box-preview-to-add {
  max-width: 600px;
  width: 100%;
  max-height: 300px;
  margin-bottom: 20px;
  align-items: center;
  text-align: center;
  overflow: hidden;
}

label {
  display: block;
  margin-bottom: 5px;
}

/* input[type="text"],
input[type="number"],
input[type="tel"],
input[type="email"],
textarea {
  width: 100%;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 4px;
} */

button {
  border: none;
  cursor: pointer;
}

button:hover {
  background: #0056b3;
}

#imagePreview {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.thumbnail {
  position: relative;
  width: 80px;
  height: 80px;
  flex-shrink: 0;
}

.thumbnail img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 12px;
}

.thumbnail .delete-btn {
  position: absolute;
  top: 5px;
  right: 5px;
  background: red;
  color: white;
  border: none;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  cursor: pointer;
  border-radius: 50%;
  padding: 5px;
}

.upload-box {
  width: 80px;
  height: 80px;
  border: 1px dashed #a7a7a7; /* Viền nét đứt */
  border-radius: 12px; /* Bo góc */
  display: flex; /* Căn giữa nội dung */
  justify-content: center;
  align-items: center;
  color: #999; /* Màu chữ */
  cursor: pointer; /* Con trỏ dạng tay */
  transition: all 0.3s ease; /* Hiệu ứng hover */
  flex-direction: column;
}
.lb--plus-icon {
  font-size: 30px;
  line-height: 1;
}
.lb--title {
  font-size: 90%;
  padding-top: 5px;
}
.upload-box:hover {
  border-color: #666;
  color: #333;
  background-color: #f9f9f9;
}
.image-upload-section {
  display: flex;
  flex-direction: column;
  margin-bottom: 15px;
}
.form-items div {
  margin-bottom: 25px;
}
.img-pr--title {
  margin-bottom: 20px;
  font-weight: 700;
  text-align: center;
}

.type-modal-box h2 {
  font-weight: 700;
  margin-bottom: 10px;
  font-size: 1.6rem;
}
.type-modal-box h3 {
  margin-bottom: 30px;
  font-size: 1.1rem;
  color: #666;
}
.type-modal-box {
  width: 90%;
  max-width: 500px;
  padding: 20px;
  margin: 0 auto;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.3);
  border-radius: 12px;
}
.type-buttons {
  display: flex;
  justify-content: start;
  gap: 20px;
}
.btn-sell,
.btn-buy {
  font-weight: 700;
  font-size: 1rem;
  border-radius: 24px;
  padding: 15px 30px;
  color: white;
}
.btn-sell {
  background-color: lightcoral;
}
.btn-sell:hover {
  background-color: #e06666;
}
.btn-buy {
  background-color: rgb(51, 119, 228);
}
.btn-buy:hover {
  background-color: #0056b3;
}

.global-form {
  width: 100%;
  padding: 0 15px;
  margin: 0 auto;
  max-width: 768px;
}

.cf-to-add-img {
  padding: 10px 0;
  bottom: 10px;
  left: 0;
  width: 100%;
  border-radius: 8px;
  background-color: #0866ff;
  color: white;
  text-align: center; /* nếu cần căn giữa */
  font-weight: 700;
  font-size: 1.1rem;
  margin-top: 10px;
  display: block;
}
.desc-textbox {
  padding: 8px;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  border-radius: 8px;
  border: 1px solid #e2e5e9;
}

.back-to-gcp {
  width: 100%;
  /* background-color: #3858e9; */
  text-align: center;
  color: white;
  margin-bottom: 20px;
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-size: 400% 400%;
  animation: bgGradient 35s ease infinite;
}
.back-to-gcp a {
  display: inline-block;
  padding: 14px;
  color: white;
  text-decoration: none;
}
.back-to-gcp svg {
  height: auto;
  width: 16px;
  fill: whitesmoke;
}
.radio-group {
  display: flex;
  gap: 12px;
  flex-direction: row;
}

.radio-card {
  /* flex: 1; */
  cursor: pointer;
  position: relative;
  /* width: 23%; */
}

.radio-card input {
  display: none; /* ẩn radio mặc định */
}

.radio-card span {
  display: block;
  padding: 14px 18px;
  border-radius: 8px;
  background: #f5f5f5;
  border: 2px solid transparent;
  text-align: center;
  font-weight: 500;
  transition: all 0.3s ease;
  width: auto;
  height: 50px;
  align-items: center;
  display: inline-flex;
  justify-content: center;
  border: 1px solid #ddd;
}

/* hover */
.radio-card:hover span {
  background: #e9f0ff;
}

/* khi chọn */
.radio-card input:checked + span {
  background: #fbf8dc;
  color: #fff;
  border-color: #ffae00;
  box-shadow: 0 2px 7px rgba(234, 232, 217, 0.3);
  color: #333;
}

.radio-title {
  margin-bottom: 8px;
  display: block;
}
@keyframes bgGradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
.form-header {
  display: flex;
  align-items: center; /* căn giữa theo chiều dọc */
  justify-content: center; /* mặc định căn giữa */
  position: relative; /* để định vị button */
  border-bottom: 1px solid #ddd;
  margin-bottom: 20px;
  padding: 12px 0;
}

.form-header button {
  position: absolute;
  left: 0; /* dính sát bên trái */
}

.md-ct--title {
  font-weight: 700;
  /* border-bottom: 1px solid #ddd; */
  color: #333;
  font-size: 1.1rem;
}
.goback-btn {
  padding: 6px;
  border-radius: 50%;
  background-color: #e2e5e9;
  width: 32px;
  height: 32px;
}
.goback-btn svg {
  text-align: center;
  vertical-align: middle;
  width: 100%;
  height: auto;
  fill: #999;
}

.input-textbox {
  padding: 12px 10px;
  width: 100%;
  border-radius: 8px;
  background-color: #fafafa;
  border: 1px solid #d9dbde;
}

.label-default {
  font-weight: 500;
  color: #555;
  font-size: 1rem;
  padding-left: 4px;
}
.input-textbox::placeholder {
  color: #aaa;
  font-family: Arial, Helvetica, sans-serif;
  line-height: 1.33;
}
#content {
  overflow-y: hidden; /* ẩn thanh cuộn dọc */
  min-height: 80px; /* chiều cao tối thiểu */
  resize: none; /* chặn kéo thả resize thủ công (tùy chọn) */
}

.policy-text {
  display: -webkit-box;
  -webkit-line-clamp: 3; /* số dòng muốn hiển thị ban đầu */
  -webkit-box-orient: vertical;
  overflow: hidden;
  line-height: 1.35;

  font-size: 0.95rem;
  color: #555;
}
.policy-text h3 {
  font-weight: 700;
  margin-bottom: 15px;
  text-align: center;
}
.policy-box {
  background-color: #fafafa;
  border-radius: 3px;
  padding: 10px;
}
.expanded p {
  margin-bottom: 15px;
}
.policy-text p:last-child {
  margin-bottom: 0;
}
.pp-p--btn {
  text-align: center;
}
.pp-p--btn span {
  display: inline-block;
  color: #0866ff;
  border-radius: 32px;
}
.policy-text.expanded {
  -webkit-line-clamp: unset;
}

.g-recaptcha {
  margin-top: 30px;
}

.sent-success-box {
  position: relative;
}
.sent-success-box svg {
  width: 30px;
  height: auto;
}
.sent-success-box h2 {
  font-size: 1.2rem;
  display: inline-flex;
  align-items: center;
  font-weight: 700;
  margin-bottom: 15px;
}
.sent-success-box p {
  line-height: 1.4;
  margin-bottom: 15px;
}
.s-s-btn {
  top: 10px;
  right: 10px;
  width: 40px;
  height: 40px;
  color: #e73c7e;
  font-size: 20px;
  border-radius: 50px;
  background-color: #e5e5e5;
  position: absolute;
  padding: 8px;
}
